Subject: Re: Customer Service Advisor - Work From Home - Phone Support - Cathy Pascual applied on Indeed
From: "Cathy Pascual" <[email-masked]>
To: CHERRY E COMMERCE SERVICES P LTD <[email-masked]>
Date: Thu, 4 Aug 2022 23:15:02 -0500 (CDT)

Hi Aishwarya, Good day, I hope you're doing great. I'm sorry I wasn't able to attend for last night scheduled interview, I noticed the message late. May I ask if it's okay to have it tonight instead? Sorry for the inconvenience, Thank you and looking forward to your response, Warm regards, Cathy

Suspect spam or fraud?
Report this message to Indeed <https://www.indeed.com/feedback?contentId=%3Ce10e91f2-82ee-43c7-985a-3a182850c0ed%40indeedemail.com%3E&hl=en_PH&co=PH>

By replying or using an indeedemail.com email address, you agree that messages will be processed and analyzed according to Indeed’s Cookie Policy <https://www.indeed.com/legal?hl=en&amp;co=PH#cookies>, Privacy Policy <https://www.indeed.com/legal?hl=en&amp;co=PH#privacy>, and Terms of Service <https://www.indeed.com/legal?hl=en&amp;co=PH#tos>.